/*
 * This java source file is placed into the public domain.
 *
 * The orginal author is Ceki Gulcu, QOS.ch
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN
 * THE IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE,
 * ASSUMES _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE
 * USE, MODIFICATION, OR REDISTRIBUTION OF THIS SOFTWARE.
 */
package ch.qos.test;

import box.Box;
import ch.qos.ChildFirstClassLoader;

import java.net.URL;


/**
 * This example demonstrates that in child-first trees, JCL will throw
 * an exception as soon as LogFactory is called after the TCCL is set
 * to a child class loader and when both the child and parent class
 * loaders have direct access to commons-logging.jar
 *
 * Usage:
 *
 *   java -cp classes;lib/commons-logging.jar ch.qos.test.ChildFirstTestJCL0
 *
 * @author <a href="http://www.qos.ch/log4j/">Ceki G&uuml;lc&uuml;</a>
 */
public class ChildFirstTestLog4j {
  public static void main(String[] args) throws Exception {
    ChildFirstClassLoader child = new ChildFirstClassLoader( 
        new URL[] { 
            new URL("file:box1.jar"), 
            new URL("file:lib/log4j-smtp.jar"), 
            new URL("file:lib/mail.jar"),
            new URL("file:lib/activation.jar"),
            new URL("file:resources/"),
            });
    
    //Thread.currentThread().setContextClassLoader(child);
    
    Class boxClass = child.loadClass("box.BoxImplWithLog4j");
    Box box = (Box) boxClass.newInstance();
    box.doOp();
  }
}
