/*
 * This java source file is placed into the public domain.
 *
 * The orginal author is Ceki Gulcu, QOS.ch
 *
 * THIS SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, NOT EVEN
 * THE IMPLIED WARRANTY OF MERCHANTABILITY. THE AUTHOR OF THIS SOFTWARE,
 * ASSUMES _NO_ RESPONSIBILITY FOR ANY CONSEQUENCE RESULTING FROM THE
 * USE, MODIFICATION, OR REDISTRIBUTION OF THIS SOFTWARE.
 */
package ch.qos.test;

import box.Box;

import java.net.URL;
import java.net.URLClassLoader;

import org.slf4j.LoggerFactory;
import org.slf4j.Logger;


/**
 * Usage:
 *
 *   java -cp classes;boxAPI.jar;lib/slf4j-simple.jar ch.qos.test.ParentFirstTestSLF4J0
 *
 * @author <a href="http://www.qos.ch/log4j/">Ceki G&uuml;lc&uuml;</a>
 */
public class ParentFirstTestSLF4J0 {
  
  public static void main(String[] args) throws Exception {
  
    URLClassLoader childClassLoader =
      new URLClassLoader(
        new URL[] {
          new URL("file:box1.jar"), 
          new URL("file:lib/commons-logging.jar"),
          new URL("file:lib/log4j.jar")
        });

    Logger logger = LoggerFactory.getLogger("x");
    logger.info("some message");
    
    // log4j will not be used even in classes loaded by the
    // child class loader
    Class boxClass = childClassLoader.loadClass("box.BoxImplWithSLF4J");
    Box box = (Box) boxClass.newInstance();
    box.doOp();

    // SUMMARY: JCL only considers the thread context class loader 
    // when checking the existence of a logging implementation
  }
}
